#
# spec file for package turpial
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           turpial
Version:        3.0
Release:        4.3
Summary:        Lightweight, functional and integrated Twitter client
License:        GPL-3.0+
Group:          Productivity/Networking/Instant Messenger
Url:            http://turpial.org.ve/
Source:         http://files.turpial.org.ve/sources/stable/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-babel
BuildRequires:  python-imaging
BuildRequires:  python-setuptools
BuildRequires:  update-desktop-files
Requires:       libturpial
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Turpial is a microblogging client with support for multiple interfaces.
It's developed using Python and its goal is to be native, light and
integrated with desktop environment, but without loosing any
functionality.

%prep
%setup -q -n %{name}-%{version}

%build
chmod 644 AUTHORS ChangeLog COPYING README.rst
python setup.py build

%install
python setup.py install --skip-build --root %{buildroot} --prefix %{_prefix}
rm %{buildroot}%{_datadir}/doc/turpial/*
%if 0%{?fedora_version}
desktop-file-install --add-category=InstantMessaging %{buildroot}%{_datadir}/applications/%{name}.desktop
%endif
%if 0%{?suse_version}
%suse_update_desktop_file %{name} InstantMessaging
%fdupes %{buildroot}%{python_sitelib}
%endif

%if 0%{?suse_version} > 1130

%post
%desktop_database_post

%postun
%desktop_database_postun
%endif

%if !(0%{?suse_version})

%defattr(-,root,root,-)
%else

%files
%defattr(-,root,root,-)
%endif
%doc AUTHORS ChangeLog COPYING README.rst
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}-*-py%{py_ver}.egg-info
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/icons/scalable
%dir %{_datadir}/icons/scalable/apps
%{_datadir}/icons/scalable/apps/turpial.svg

%changelog
* Tue Jul  1 2014 hillwood@linuxfans.org
- Move some Requires to libturpial
- Add libturpial as Requires
- Update to 3.0
  * Final release
- Update to 3.0-b2
  * Fixed issue with closing action in tray icon menu
  * Removed unneccessary fonts
  * Updated TRANSLATORS file
  * Added darker buttons for tweets
  * Removed filters because they are causing tweets duplication
  * Fixed welcome string after adding the first accounts
  * Fixed issue with apostrophe in status text
- update to 3.0-b1:
  * Just update the tweets
  * Improved setup.py
  * Added startup screen while Turpial loads
  * Sorted list of services
  * Fixed tweet interaction from profile dialog
  * Restored window geometry at startup
  * Updated requirements.txt
  * Added translations ca, de, eo, es, fr, it, ja, pt_BR, pt_PT, ru_RU, tr
  * Fixed statuses duplication
  * Fixed tray icon menu
  * Minor fixes
- Update to 2.9.6-a1
  * New backend on top of libturpial
  * Rewrite of the whole interface using Qt
  * Support for multiple accounts and multiple columns
  * No more login with user & password
  * Added queue for messages
  * Enhanced filters
  * Added support for Mac OS (and Windows theoretically)
  * Support for broadcasting messages
  * Cleaned and improved overall UI
  * Improved user interaction with tweets
  * Links, mentions and hashtags are clickable
  * Enhanced twitter search
  * Added more services to short url and upload pictures
  * Implemented previsualization of images and user avatars
  * Improved conversation interface
- Update to 1.7.6-a1:
  * Bug #308: Improved URL detection
  * Bug #504: Content menu doesn't show in secondary columns
  * Bug #506: Change the menu for direct statuses
  * Feature #66: Open images in a embedded window
  * Feature #116: Preferences dialog (with advance options)
  * Feature #117: Vista de tweets usando WebKit
  * Feature #118: Broadcasting when update status
  * Feature #190: Dialog to send DMs
  * Feature #211: Undo feature support (ctlr + z)
  * Feature #224: Show profile image at real size when user click it
  * Feature #226: Autoshort URL
  * Feature #260: Add favorites as columns
  * Feature #313: Configuration for having only one instance of Turpial
  * Feature #325: Embedded profiles visualization
  * Feature #330: New dialog for username autocomplete
  * Feature #334: Improved the conversations dialog
  * Feature #358: Support to handle as columns as the user wants
  * Feature #468: Ubuntu integration
  * Feature #473: Add/remove favorites
  * Feature #474: Implement retweet
  * Feature #475: Update status, make replies and quotes
  * Feature #477: Add public timeline to columns
  * Feature #484: Undo retweet
  * Feature #485: Go on the top of the tweet list
  * Feature #487: Delete statuses
  * Feature #488: Implement block and report as spam features
  * Feature #489: Implement mute/unmute features
  * Feature #491: Implement follow/unfollow feature (just from profile dialog)
  * Feature #497: Implement notifications (visual and sound)
  * Feature #513: Implement support for the openmedia module
* Mon Aug  6 2012 dimstar@opensuse.org
- Add pyton-distribute Requires: /usr/bin/turpial has
  from pkg_resources import load_entry_point (bnc#751192).
* Sun Feb  5 2012 zaitor@opensuse.org
- Update to version 1.6.9:
  + Fixed minor bugs in setup.py and languages.
- Update to version 1.6.8:
  + Implemented basic integration with Unity.
  + Fixed minor bugs with languages.
- Removed chmod on AUTHORS, ChangeLog, COPYING and README.rst. Not
  needed anymore.
- Removed version, since this is not needed anymore.
* Thu Jan  5 2012 vuntz@opensuse.org
- Update to version 1.6.7:
  + Fix bug about SSL certificate validation.
- Make more doc files not executable in %%setup.
* Mon Nov 21 2011 dimstar@opensuse.org
- Update to version 1.6.6:
  + Added support for img.ur and goo.gl
  + Implemented option to expand URLs from the context menu
  + Improved GUI
  + Implemented autologin
  + Dialog for authorization on Twitter oAuth
  + Implemented filtering tweets by phrases / words
  + Restoration of access to DMs
  + Implemented support for APIv2 of bit.ly
  + Fixed error in detection of notification system
  + Fixed other minor bugs.
* Mon Oct 17 2011 cfarrell@suse.com
- license update: GPL-3.0+
  SPDX syntax
* Fri Oct 14 2011 vuntz@opensuse.org
- Cleanup for inclusion in Factory, including:
  + Add missing Requires.
  + Do not use a patch to add a category to .desktop file.
  + Split lang subpackage on openSUSE.
* Thu Oct 13 2011 prusnak@opensuse.org
- update to 1.5.0
- spec cleanup
* Mon May  2 2011 vinz@fedoraproject.org
- Added build for SLE11, openSUSE 11.4 and Factory
- Added if-else for python-notify on Fedora and SUSE
* Wed Mar 30 2011 huaren.zhong@gmail.com
- Rebuild for Fedora
* Fri Jan 22 2010 richzendy@fedoraproject.org
- Initial package.
